package de.dhbwloe.campusapp.fragments;

import android.content.Context;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.text.DecimalFormat;

import de.dhbwloe.campusapp.CampusAppFragment;
import de.dhbwloe.campusapp.R;
import de.dhbwloe.campusapp.search.SearchIndices;

/**
 * A simple {@link Fragment} subclass.
 * Activities that contain this fragment must implement the
 * {@link MensaCard.OnFragmentInteractionListener} interface
 * to handle interaction events.
 * Use the {@link MensaCard#newInstance} factory method to
 * create an instance of this fragment.
 */
public class MensaCard extends CampusAppFragment {
    private View view;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        view = inflater.inflate(R.layout.fragment_mensa_card, container, false);
        AppContext.setTitle(AppContext.getResString(R.string.mensacard_title));

        Bundle args = getArguments();
        if(args != null && args.containsKey("balance")) {
            showNfcCardData(args);
        }

        return view;
    }

    public void showNfcCardData(Bundle bundle) {
        TextView cardDataView = (TextView)view.findViewById(R.id.balanceTxt);
        double balance = bundle.getDouble("balance");
        DecimalFormat df = new DecimalFormat(AppContext.getResString(R.string.mensaformat_price));
        cardDataView.setText(df.format(balance));
    }

}
