package de.dhbwloe.campusapp.fragments;

import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

import java.text.SimpleDateFormat;
import java.util.Date;

import de.dhbwloe.campusapp.CampusAppContext;
import de.dhbwloe.campusapp.R;
import de.dhbwloe.campusapp.vorlesungen.CourseEvent;
import de.dhbwloe.campusapp.vorlesungen.CourseGroup;

/**
 * Created by pk910 on 20.02.2016.
 */
public class VorlesungsplanUpcomingCourseListItem {
    private CourseEvent event;

    public VorlesungsplanUpcomingCourseListItem(CourseEvent event) {
        this.event = event;
    }

    public void updateContainerView(View view) {

        android.support.v7.widget.CardView cardView = (android.support.v7.widget.CardView) view.findViewById(R.id.card_upcomingday);
        cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                onEventClicked();
            }
        });

        SimpleDateFormat dateFormat = new SimpleDateFormat(CampusAppContext.getInstance().getResString(R.string.timeformat_vorlesungsplan_time));
        TextView timeFrom = (TextView) view.findViewById(R.id.timeFrom);
        TextView timeTo = (TextView) view.findViewById(R.id.timeTo);
        TextView location = (TextView) view.findViewById(R.id.location);
        TextView courseTitle = (TextView) view.findViewById(R.id.courseTitle);

        Date dateFrom = (new Date(event.getEventFrom() * 1000));
        timeFrom.setText(dateFormat.format(dateFrom));

        Date dateTo = (new Date(event.getEventTo() * 1000));
        timeTo.setText(dateFormat.format(dateTo));

        location.setText(event.getEventLocation());
        courseTitle.setText(event.getEventTitle());
    }

    private void onEventClicked() {
        Bundle args = new Bundle();
        CourseGroup group = event.getCourseGroup();
        if(group == null)
            return;
        args.putString("groupid", Integer.toString(group.getGroupId()));
        CampusAppContext.getInstance().getNavigationManager().navigatePage("Vorlesungsplan", args);
    }
}
