package de.dhbwloe.campusapp.news;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.zip.CRC32;

/**
 * Created by pk910 on 23.01.2016.
 */
public class NewsItem {
    private int id;
    private String sSource;
    private long iTime;
    private String sUniqueId;
    private long iChkSum;
    private String sTitle;
    private String sSummary;
    private String sContent;
    private String sLink;
    private String sCategories;

    private boolean bIsNew;

    public NewsItem(int id, String source, long time, String uniqueid, long chksum, String title, String summary, String content, String link, String categories) {
        this.id = id;
        sSource= source;
        iTime = time;
        sUniqueId = uniqueid;
        sTitle = title.trim();
        sSummary = summary;
        sContent = content;
        sLink = link;
        sCategories = categories;
    }

    public long calculateChkSum() {
        CRC32 crc = new CRC32();
        crc.update(sTitle.getBytes());
        crc.update(sUniqueId.getBytes());
        crc.update((int)iTime);
        crc.update(sSummary.getBytes());
        if(sContent != null)
            crc.update(sContent.getBytes());
        if(sLink != null)
            crc.update(sLink.getBytes());
        if(sCategories != null)
            crc.update(sCategories.getBytes());

        long crcvalue = crc.getValue();
        iChkSum = crcvalue;
        return crcvalue;
    }

    public long getChkSum() {
        return iChkSum;
    }

    public void setIsNew(int id) {
        bIsNew = true;
        this.id = id;
    }

    public boolean getIsNew(boolean reset) {
        boolean isnew = bIsNew;
        if(reset)
            bIsNew = false;
        return isnew;
    }

    public int getId() {
        return id;
    }

    public String getSource() {
        return sSource;
    }

    public long getTime() {
        return iTime;
    }

    public String getFormatedDate() {
        return getFormatedDate("dd.MM.yyyy");
    }

    public String getFormatedDate(String format) {
        DateFormat df = new SimpleDateFormat("dd.MM.yyyy", Locale.ENGLISH);
        return df.format(new Date(iTime * 1000));
    }

    public String getUniqueId() {
        return sUniqueId;
    }

    public String getTitle() {
        return sTitle;
    }

    public String getSummary() {
        return sSummary;
    }

    public String getContent() {
        return sContent;
    }

    public String getLink() {
        return sLink;
    }

    public String getCategories() {
        return sCategories;
    }
}
